--[[
Dubai Under Siege 02: Retaking Dubai Intl
Players: 1-4 (Single or Multiplayer)
By: Element

For more missions, visit our website!

The Fraternity
https://thefraternitysim.com/

--]]
TheFrat = {} --DO NOT REMOVE

function TheFrat.PlaySoundToGroup(soundfile,group)
  local PlayAudioFile = USERSOUND:New( soundfile )
  PlayAudioFile:ToGroup(group)
end

function TheFrat.PlaySoundToAll(soundfile)
  local PlayToAll = USERSOUND:New( soundfile )
  PlayToAll:ToAll()
end

function TheFrat.randomchoice(t) --Selects a random item from a table
  local keys = {}
  for key, value in pairs(t) do
    keys[#keys+1] = key --Store keys in another table
  end
  index = keys[math.random(1, #keys)]
  return t[index]
end

function TheFrat.WelcomeMessage()
   SCHEDULER:New( nil,
    function()
      local PlayToAll = USERSOUND:New( "TheFraternityIntro.ogg" )
      PlayToAll:ToAll()
      MESSAGE:New("Welcome To The Fraternity",8):ToAll()
      
        SCHEDULER:New( nil,
          function()
            local PlayToAll = USERSOUND:New( "info.ogg" )
            PlayToAll:ToAll()
            MESSAGE:New("Dubai Under Siege 02: Retaking Dubai Intl\nTransport Troops to retake Duabi Intl\n\nUse F10 Menu to Start Mission",15):ToAll()
          end, {}, 10)
      
    end, {}, 8)
    
end

function TheFrat.ShowMissionStartMenu()
  local MenuCoalition = MENU_COALITION:New( coalition.side.BLUE, "Mission" )

  local function MissionStart()
    local PlayToAll = USERSOUND:New( "beep1.ogg" )
    PlayToAll:ToAll()
    MESSAGE:New(">> Mission Activated <<",5):ToAll()
    MenuCoalition:Remove()
    TheFrat.ActivateMission()
  end

  local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Start Mission", MenuCoalition, MissionStart )
end

function TheFrat.ActivateMission()

  Mission.PlayerGroup:ForEachGroupAlive(
    function( PlayerGroup )
    
      if PlayerGroup:GetName() == Mission.PlayGroup1Name then
        Mission.PlayerGroup1 = GROUP:FindByName(PlayerGroup:GetName())
        Mission.Player1Active = true
      end
      if PlayerGroup:GetName() == Mission.PlayGroup2Name then
        Mission.PlayerGroup2 = GROUP:FindByName(PlayerGroup:GetName())
        Mission.Player2Active = true
      end
      if PlayerGroup:GetName() == Mission.PlayGroup3Name then
        Mission.PlayerGroup3 = GROUP:FindByName(PlayerGroup:GetName())
        Mission.Player3Active = true
      end
      if PlayerGroup:GetName() == Mission.PlayGroup4Name then
        Mission.PlayerGroup4 = GROUP:FindByName(PlayerGroup:GetName())
        Mission.Player4Active = true
      end
    end
  )
  --AirSpace
  TheFrat.SharjahAreaSpace()
  TheFrat.BravoAreaSpace()
  
  --EVENTS
  Mission.PlayerGroup:HandleEvent( EVENTS.Crash )
  function Mission.PlayerGroup:OnEventCrash( EventData )
  
    if EventData.IniGroupName == Mission.PlayGroup1Name then
      Mission.Player1Active = false
      MESSAGE:New(EventData.IniGroupName.." has crashed!",10):ToAll()
    end
    if EventData.IniGroupName == Mission.PlayGroup2Name then
      Mission.Player2Active = false
      MESSAGE:New(EventData.IniGroupName.." has crashed!",10):ToAll()
    end
    if EventData.IniGroupName == Mission.PlayGroup3Name then
      Mission.Player3Active = false
      MESSAGE:New(EventData.IniGroupName.." has crashed!",10):ToAll()
    end
    if EventData.IniGroupName == Mission.PlayGroup4Name then
      Mission.Player4Active = false
      MESSAGE:New(EventData.IniGroupName.." has crashed!",10):ToAll()
    end
  end
  
  
  Mission.PlayerGroup:HandleEvent( EVENTS.Takeoff )
  function Mission.PlayerGroup:OnEventTakeoff( EventData )
     
     
  
  end
  
  Mission.PlayerGroup:HandleEvent(EVENTS.Land)
  function Mission.PlayerGroup:OnEventLand(EventData)
  
    --Sharjah Round #1 
    TheFrat.SharJahRound1()
    
    --Landing at Bravo LZ
    TheFrat.BravoLZ()
    
    --Sharjah Round #2 
    TheFrat.SharJahRound2()
    
    --Landing at Delta LZ
    TheFrat.DeltaLZ()
    
    --Sharjah Round #3
    TheFrat.SharJahRound3()
    
    --Landing at Omega LZ
    TheFrat.OmegaLZ()
    
    --OnMissionComplete
    TheFrat.MissionCompleted()
    
  end
  

end

function TheFrat.explodeUnit(unit)
  local boom1pos = unit:GetPointVec2()
  local pos = POINT_VEC2:New( boom1pos:GetLat(), boom1pos:GetLon() )
  trigger.action.explosion(pos, 100)
end

function TheFrat.SharjahAreaSpace()
  SharjahAreaSpaceSchedule = SCHEDULER:New( nil,
      function()
      
        if Mission.Player1Active == true and Mission.InSharjahAreaAirSpace == false and Mission.PlayerGroup1:IsCompletelyInZone(Mission.SharjahAreaAirSpace) then
        Mission.InSharjahAreaAirSpace = true
        TheFrat.PlaySoundToAll("radioscratch.ogg")
        MESSAGE:New("We have you on radar, popping flares to your LZ.",15,"Al Sharjah ATC"):ToAll()
        Mission.AlSharjahFlareZone:FlareZone(FLARECOLOR.Green,4)
          --pop flare
          SCHEDULER:New( nil,
            function()
              Mission.AlSharjahFlareZone:FlareZone(FLARECOLOR.Green,2)
            end, {},4,4,0,120)
       end
       
       if Mission.Player2Active == true and Mission.InSharjahAreaAirSpace == false and Mission.PlayerGroup2:IsCompletelyInZone(Mission.SharjahAreaAirSpace) then
        Mission.InSharjahAreaAirSpace = true
        TheFrat.PlaySoundToAll("radioscratch.ogg")
        MESSAGE:New("We have you on radar, popping flares to your LZ.",15,"Al Sharjah ATC"):ToAll()
        Mission.AlSharjahFlareZone:FlareZone(FLARECOLOR.Green,4)
          --pop flare
          SCHEDULER:New( nil,
            function()
              Mission.AlSharjahFlareZone:FlareZone(FLARECOLOR.Green,2)
            end, {},4,4,0,120)
       end
       
      end, {}, 1,1)
end

function TheFrat.SharJahRound1()
  if Mission.Player1Active == true then
      if Mission.PlayerGroup1:IsCompletelyInZone(Mission.SharjahLZ) and Mission.Round1 == true and Mission.Player1HasTroops == false then
      --load troops
      SCHEDULER:New( nil,
        function()
            local PlayToAll = USERSOUND:New( "radioscratch.ogg" )
            PlayToAll:ToAll()
            ctld.loadTransport(Mission.PlayGroup1Name )
            Mission.Player1HasTroops = true
            
            SCHEDULER:New( nil,
            function()
               Mission.BravoGroundGroup1:Spawn()
            end, {}, math.random(60,120))
            
            if Mission.Round1Inst == false then 
              Mission.Round1Inst = true
              SCHEDULER:New( nil,
              function()
                local PlayToAll = USERSOUND:New( "chirp.ogg" )
                PlayToAll:ToAll()
                MESSAGE:New("Transport your troops to Bravo LZ - ADF 47.40 FM and promptly return.",35):ToAll()
              end, {}, 8)
            end
            
        end, {},4)  
      end
    end
    
    if Mission.Player2Active == true then
      if Mission.PlayerGroup2:IsCompletelyInZone(Mission.SharjahLZ) and Mission.Round1 == true and Mission.Player2HasTroops == false then
      --load troops
      SCHEDULER:New( nil,
        function()
            local PlayToAll = USERSOUND:New( "radioscratch.ogg" )
            PlayToAll:ToAll()
            ctld.loadTransport(Mission.PlayGroup2Name )
            Mission.Player2HasTroops = true
            
            SCHEDULER:New( nil,
            function()
               Mission.BravoGroundGroup2:Spawn()
            end, {}, math.random(60,120))
            
            if Mission.Round1Inst == false then 
              Mission.Round1Inst = true
              SCHEDULER:New( nil,
              function()
                local PlayToAll = USERSOUND:New( "chirp.ogg" )
                PlayToAll:ToAll()
                MESSAGE:New("Transport your troops to Bravo LZ - ADF 47.40 FM and promptly return.",35):ToAll()
              end, {}, 8)
            end
        end, {},4)  
      end
    end
end

function TheFrat.SharJahRound2()

  if Mission.Round2 == true and Mission.Round2Start == false then
    Mission.Round2Start = true
    TheFrat.DeltaAirSpace()
  end

  if Mission.Player1Active == true then
      if Mission.PlayerGroup1:IsCompletelyInZone(Mission.SharjahLZ) and Mission.Round2 == true and Mission.Player1HasTroops == false then
      --load troops
      SCHEDULER:New( nil,
        function()
            local PlayToAll = USERSOUND:New( "radioscratch.ogg" )
            PlayToAll:ToAll()
            ctld.loadTransport(Mission.PlayGroup1Name )
            Mission.Player1HasTroops = true
            
            SCHEDULER:New( nil,
            function()
               Mission.DeltaGroundGroup1:Spawn()
            end, {}, math.random(60,120))
            
            if Mission.Round2Inst == false then 
              Mission.Round2Inst = true
              SCHEDULER:New( nil,
              function()
                local PlayToAll = USERSOUND:New( "chirp.ogg" )
                PlayToAll:ToAll()
                MESSAGE:New("Transport your troops to Delta LZ - ADF 44.60 FM and promptly return.",35):ToAll()
              end, {}, 8)
            end
            
        end, {},4)  
      end
    end
    
    if Mission.Player2Active == true then
      if Mission.PlayerGroup2:IsCompletelyInZone(Mission.SharjahLZ) and Mission.Round2 == true and Mission.Player2HasTroops == false then
      --load troops
      SCHEDULER:New( nil,
        function()
            local PlayToAll = USERSOUND:New( "radioscratch.ogg" )
            PlayToAll:ToAll()
            ctld.loadTransport(Mission.PlayGroup2Name )
            Mission.Player2HasTroops = true
            
            SCHEDULER:New( nil,
            function()
               Mission.DeltaGroundGroup2:Spawn()
            end, {}, math.random(60,120))
            
            if Mission.Round2Inst == false then 
              Mission.Round2Inst = true
              SCHEDULER:New( nil,
              function()
                local PlayToAll = USERSOUND:New( "chirp.ogg" )
                PlayToAll:ToAll()
                MESSAGE:New("Transport your troops to Delta LZ - ADF 44.60 FM and promptly return.",35):ToAll()
              end, {}, 8)
            end
        end, {},4)  
      end
    end
end

function TheFrat.SharJahRound3()
  
  if Mission.Round3 == true and Mission.Round3Start == false then
    Mission.Round3Start = true
    TheFrat.OmegaAirSpace()
  end
  
  if Mission.Player1Active == true then
      if Mission.PlayerGroup1:IsCompletelyInZone(Mission.SharjahLZ) and Mission.Round3 == true and Mission.Player1HasTroops == false and Mission.Round3Completed == false then
      --load troops
      SCHEDULER:New( nil,
        function()
            local PlayToAll = USERSOUND:New( "radioscratch.ogg" )
            PlayToAll:ToAll()
            ctld.loadTransport(Mission.PlayGroup1Name )
            Mission.Player1HasTroops = true
            
            SCHEDULER:New( nil,
            function()
               Mission.OmegaGroundGroup1:Spawn()
            end, {}, math.random(60,120))
            
            if Mission.Round3Inst == false then 
              Mission.Round3Inst = true
              SCHEDULER:New( nil,
              function()
                local PlayToAll = USERSOUND:New( "chirp.ogg" )
                PlayToAll:ToAll()
                MESSAGE:New("Transport your troops to Omega LZ - ADF 45.10 FM and promptly return.  This is our finial push. We suggest you rearm and repair as needed. Its going to get rough...",35,"Command"):ToAll()
              end, {}, 8)
            end
            
        end, {},4)  
      end
    end
    
    if Mission.Player2Active == true then
      if Mission.PlayerGroup2:IsCompletelyInZone(Mission.SharjahLZ) and Mission.Round3 == true and Mission.Player2HasTroops == false and Mission.Round3Completed == false then
      --load troops
      SCHEDULER:New( nil,
        function()
            local PlayToAll = USERSOUND:New( "radioscratch.ogg" )
            PlayToAll:ToAll()
            ctld.loadTransport(Mission.PlayGroup2Name )
            Mission.Player2HasTroops = true
            
            SCHEDULER:New( nil,
            function()
               Mission.OmegaGroundGroup2:Spawn()
            end, {}, math.random(60,120))
            
            if Mission.Round3Inst == false then 
              Mission.Round3Inst = true
              SCHEDULER:New( nil,
              function()
                local PlayToAll = USERSOUND:New( "chirp.ogg" )
                PlayToAll:ToAll()
                MESSAGE:New("Transport your troops to Omega LZ - ADF 45.10 FM and promptly return.  This is our finial push. We suggest you rearm and repair as needed. Its going to get rough...",35,"Command"):ToAll()
              end, {}, 8)
            end
        end, {},4)  
      end
    end
end

function TheFrat.BravoAreaSpace()

  if Mission.Player3Active == true then
    Mission.BravoGroundGroup3:Spawn()
  end
  if Mission.Player4Active == true then
    Mission.BravoGroundGroup4:Spawn()
  end

  BravoAreaSpaceSchedule = SCHEDULER:New( nil,
      function()
      
        --Spawn Mission.BravoGroundGroup1:Spawn()
      
        if Mission.Player1Active == true and Mission.InBravoAreaAirSpace == false and Mission.PlayerGroup1:IsCompletelyInZone(Mission.BravoAirSpace) then
        Mission.InBravoAreaAirSpace = true
        TheFrat.PlaySoundToAll("radioscratch.ogg")
        MESSAGE:New("We hear you popping flares! Hurry with those troops!",15,"Bravo LZ"):ToAll()
        Mission.BravoFlareZone:FlareZone(FLARECOLOR.Red,4)
          --pop flare
          SCHEDULER:New( nil,
            function()
              Mission.BravoFlareZone:FlareZone(FLARECOLOR.Red,2)
            end, {},4,4,0,120)
            
       end
       
       if Mission.Player2Active == true and Mission.InBravoAreaAirSpace == false and Mission.PlayerGroup2:IsCompletelyInZone(Mission.BravoAirSpace) then
        Mission.InBravoAreaAirSpace = true
        TheFrat.PlaySoundToAll("radioscratch.ogg")
        MESSAGE:New("We hear you popping flares! Hurry with those troops!",15,"Bravo LZ"):ToAll()
        Mission.BravoFlareZone:FlareZone(FLARECOLOR.Red,4)
          --pop flare
          SCHEDULER:New( nil,
            function()
              Mission.BravoFlareZone:FlareZone(FLARECOLOR.Red,2)
            end, {},4,4,0,120)
       end
       
      end, {}, 1,1)
end

function TheFrat.BravoLZ()

  if Mission.Player1Active == true then
      if Mission.PlayerGroup1:IsCompletelyInZone(Mission.BravoLZ) and Mission.Player1HasTroops == true then
      --unload troops
      SCHEDULER:New( nil,
        function()
            local PlayToAll = USERSOUND:New( "radioscratch.ogg" )
            PlayToAll:ToAll()
            ctld.unloadTransport(Mission.PlayGroup1Name )
            Mission.BravoCompleted = true
            Mission.Player1HasTroops = false
            Mission.Round1 = false
            Mission.Round2 = true
            Mission.InSharjahAreaAirSpace = false --activate flare when returning to base
            BravoLZRadio:Stop()
            
            
        end, {},3)  
      end
    end
    
  if Mission.Player2Active == true then
      if Mission.PlayerGroup2:IsCompletelyInZone(Mission.BravoLZ) and Mission.Player2HasTroops == true then
      --unload troops
      SCHEDULER:New( nil,
        function()
            local PlayToAll = USERSOUND:New( "radioscratch.ogg" )
            PlayToAll:ToAll()
            ctld.unloadTransport(Mission.PlayGroup2Name )
            Mission.BravoCompleted = true
            Mission.Player2HasTroops = false
            Mission.Round1 = false
            Mission.Round2 = true
            Mission.InSharjahAreaAirSpace = false --activate flare when returning to base
            BravoLZRadio:Stop()

        end, {},3)  
      end
    end
    
end

function TheFrat.DeltaAirSpace()
  
  if Mission.Player3Active == true then
    Mission.DeltaGroundGroup3:Spawn()
  end
  if Mission.Player4Active == true then
    Mission.DeltaGroundGroup4:Spawn()
  end
  
  DeltaAreaSpaceSchedule = SCHEDULER:New( nil,
      function()
      
        if Mission.Player1Active == true and Mission.InDeltaAreaAirSpace == false and Mission.PlayerGroup1:IsCompletelyInZone(Mission.DeltaAirSpace) then
        Mission.InDeltaAreaAirSpace = true
        TheFrat.PlaySoundToAll("radioscratch.ogg")
        MESSAGE:New("We hear you popping flares! Hurry with those troops!",15,"Delta LZ"):ToAll()
        Mission.DeltaFlareZone:FlareZone(FLARECOLOR.Yellow,4)
          --pop flare
          SCHEDULER:New( nil,
            function()
              Mission.DeltaFlareZone:FlareZone(FLARECOLOR.Yellow,2)
            end, {},4,4,0,120)
       end
       
       if Mission.Player2Active == true and Mission.InDeltaAreaAirSpace == false and Mission.PlayerGroup2:IsCompletelyInZone(Mission.DeltaAirSpace) then
        Mission.InDeltaAreaAirSpace = true
        TheFrat.PlaySoundToAll("radioscratch.ogg")
        MESSAGE:New("We hear you popping flares! Hurry with those troops!",15,"Delta LZ"):ToAll()
        Mission.DeltaFlareZone:FlareZone(FLARECOLOR.Yellow,4)
          --pop flare
          SCHEDULER:New( nil,
            function()
              Mission.DeltaFlareZone:FlareZone(FLARECOLOR.Yellow,2)
            end, {},4,4,0,120)
       end
       
      end, {}, 1,1)
end

function TheFrat.DeltaLZ()
  
  if Mission.Player1Active == true then
      if Mission.PlayerGroup1:IsCompletelyInZone(Mission.DeltaLZ) and Mission.Player1HasTroops == true then
      --unload troops
      SCHEDULER:New( nil,
        function()
            local PlayToAll = USERSOUND:New( "radioscratch.ogg" )
            PlayToAll:ToAll()
            ctld.unloadTransport(Mission.PlayGroup1Name )
            Mission.DeltaCompleted = true
            Mission.Player1HasTroops = false
            Mission.Round2 = false
            Mission.Round3 = true
            Mission.InSharjahAreaAirSpace = false --activate flare when returning to base
            DeltaLZRadio:Stop()
            
            
        end, {},3)  
      end
    end
    
  if Mission.Player2Active == true then
      if Mission.PlayerGroup2:IsCompletelyInZone(Mission.DeltaLZ) and Mission.Player2HasTroops == true then
      --unload troops
      SCHEDULER:New( nil,
        function()
            local PlayToAll = USERSOUND:New( "radioscratch.ogg" )
            PlayToAll:ToAll()
            ctld.unloadTransport(Mission.PlayGroup2Name )
            Mission.DeltaCompleted = true
            Mission.Player2HasTroops = false
            Mission.Round2 = false
            Mission.Round3 = true
            Mission.InSharjahAreaAirSpace = false --activate flare when returning to base
            DeltaLZRadio:Stop()

        end, {},3)  
      end
    end
  
end

function TheFrat.OmegaAirSpace()
  
  if Mission.Player3Active == true then
    Mission.OmegaGroundGroup3:Spawn()
  end
  if Mission.Player4Active == true then
    Mission.OmegaGroundGroup4:Spawn()
  end
  
  OmegaAreaSpaceSchedule = SCHEDULER:New( nil,
      function()
      
        if Mission.Player1Active == true and Mission.InOmegaAreaAirSpace == false and Mission.PlayerGroup1:IsCompletelyInZone(Mission.OmegaAirSpace) and Mission.Round3 == true then
        Mission.InOmegaAreaAirSpace = true
        TheFrat.PlaySoundToAll("radioscratch.ogg")
        MESSAGE:New("Popping Orange Smoke at your LZ!",15,"Omega Command"):ToAll()
        ZONE:New("OmegaSmokeZone"):SmokeZone(SMOKECOLOR.Orange,1)
       end
       
       if Mission.Player2Active == true and Mission.InOmegaAreaAirSpace == false and Mission.PlayerGroup2:IsCompletelyInZone(Mission.OmegaAirSpace) and Mission.Round3 == true then
        Mission.InOmegaAreaAirSpace = true
        TheFrat.PlaySoundToAll("radioscratch.ogg")
        MESSAGE:New("Popping Orange Smoke at your LZ!",15,"Omega Command"):ToAll()
        ZONE:New("OmegaSmokeZone"):SmokeZone(SMOKECOLOR.Orange,1)
       end
       
      end, {}, 1,1)
end

function TheFrat.OmegaLZ()
  if Mission.Player1Active == true then
      if Mission.PlayerGroup1:IsCompletelyInZone(Mission.OmegaLZ) and Mission.Player1HasTroops == true and Mission.Round3 == true then
      --unload troops
      SCHEDULER:New( nil,
        function()
            local PlayToAll = USERSOUND:New( "radioscratch.ogg" )
            PlayToAll:ToAll()
            ctld.unloadTransport(Mission.PlayGroup1Name )
            Mission.Round3Completed = true
            Mission.OmegaCompleted = true
            Mission.Player1HasTroops = false
            Mission.InSharjahAreaAirSpace = false --activate flare when returning to base
            OmegaLZRadio:Stop()
            
            
        end, {},3)  
      end
    end
    
  if Mission.Player2Active == true then
      if Mission.PlayerGroup2:IsCompletelyInZone(Mission.OmegaLZ) and Mission.Player2HasTroops == true and Mission.Round3 == true then
      --unload troops
      SCHEDULER:New( nil,
        function()
            local PlayToAll = USERSOUND:New( "radioscratch.ogg" )
            PlayToAll:ToAll()
            ctld.unloadTransport(Mission.PlayGroup2Name )
            Mission.Round3Completed = true
            Mission.OmegaCompleted = true
            Mission.Player2HasTroops = false
            Mission.InSharjahAreaAirSpace = false --activate flare when returning to base
            OmegaLZRadio:Stop()

        end, {},3)  
      end
    end
end

function TheFrat.MissionCompleted()
  
  if Mission.Completed == false and Mission.BravoCompleted == true and Mission.DeltaCompleted == true and Mission.OmegaCompleted == true then
    Mission.Completed = true
    
    SCHEDULER:New( nil,
    function()
        local message = "** Mission Successful **\n\nExcellent work! You successfully completed all tasks!"
        local PlayToAll = USERSOUND:New( "info.ogg" )
        PlayToAll:ToAll()
        MESSAGE:New(message,20,"Command"):ToAll()
        
          SCHEDULER:New( nil,
            function()
                local message2 = "- The Fraternity\n- thefraternitysim.com"
                local PlayToAll2 = USERSOUND:New( "chirp.ogg" )
                PlayToAll2:ToAll()
                MESSAGE:New(message2,60):ToAll()
            end, {}, 22)
        
    end, {}, 5)
    
  end
  
end

--Radio
FARPDallasRadioScheduler = SCHEDULER:New( nil,
  function()
      FARPDallasRadioUnit = UNIT:FindByName("FARP Dallas Radio")
      FARPDallasRadio = FARPDallasRadioUnit:GetBeacon()
      FARPDallasRadio:RadioBeacon("sonar.ogg", 42, radio.modulation.FM, 1000, 3)
  end, {}, 1,3)
SharjahLZRadio = SCHEDULER:New( nil,
  function()
      SharjahRadioUnit = UNIT:FindByName("Sharjah ADF Radio")
      SharjahRadio = SharjahRadioUnit:GetBeacon()
      SharjahRadio:RadioBeacon("sonar.ogg", 52.00, radio.modulation.FM, 100, 3)
  end, {}, 1,3)
  
BravoLZRadio = SCHEDULER:New( nil,
  function()
      BravoRadioUnit = UNIT:FindByName("Bravo Leader")
      BravoRadio = BravoRadioUnit:GetBeacon()
      BravoRadio:RadioBeacon("sonar.ogg", 47.40, radio.modulation.FM, 100, 3)
  end, {}, 1,3)

DeltaLZRadio = SCHEDULER:New( nil,
  function()
      DeltaRadioUnit = UNIT:FindByName("Deta LZ Leader")
      DeltaRadio = DeltaRadioUnit:GetBeacon()
      DeltaRadio:RadioBeacon("sonar.ogg", 44.60, radio.modulation.FM, 100, 3)
  end, {}, 1,3)
OmegaLZRadio = SCHEDULER:New( nil,
  function()
      OmegaRadioUnit = UNIT:FindByName("Omega Leader")
      OmegaRadio = OmegaRadioUnit:GetBeacon()
      OmegaRadio:RadioBeacon("sonar.ogg", 45.10, radio.modulation.FM, 100, 3)
  end, {}, 1,3)
  
  Plane1 = SPAWN:New("Airplane 1")
  Plane1:InitRepeatOnEngineShutDown()
  Plane1:Spawn()
  
env.info( '*** The Fraternity Loaded *** ' )